Google Scholar Profiles API
Search and extract data from Google Scholar user profiles. Get real-time access to researcher information, h-index, and publication history for academic networking and institutional research assessment.
Tags: Google API
Parameters
| Name | Required | Type | Default | Description |
|---|---|---|---|---|
| mauthors | Yes | string | The search query for author profiles (e.g., 'John Smith', 'Harvard University'). | |
| after_author | No | string | Token used to retrieve the next page of author profiles. | |
| before_author | No | string | Token used to retrieve the previous page of author profiles. |
Copy Request
bash
curl -X GET "https://api.justserpapi.com/api/v1/google/scholar/profiles?mauthors=YOUR_VALUE" \
-H "X-API-Key: YOUR_API_KEY"js
const res = await fetch("https://api.justserpapi.com/api/v1/google/scholar/profiles?mauthors=YOUR_VALUE", {
headers: { "X-API-Key": "YOUR_API_KEY" }
});
const data = await res.json();
console.log(data);python
import requests
url = "https://api.justserpapi.com/api/v1/google/scholar/profiles"
headers = { "X-API-Key": "YOUR_API_KEY" }
params = {
"mauthors": "YOUR_VALUE"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())php
<?php
$url = "https://api.justserpapi.com/api/v1/google/scholar/profiles?mauthors=YOUR_VALUE";
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"X-API-Key: YOUR_API_KEY"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;go
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
client := &http.Client{}
req, _ := http.NewRequest("GET", "https://api.justserpapi.com/api/v1/google/scholar/profiles?mauthors=YOUR_VALUE", nil)
req.Header.Set("X-API-Key", "YOUR_API_KEY")
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}Response
Example:
json
{
"code": 200,
"message": "success",
"data": {
"profiles": [
{
"title": "Mike Robb",
"link": "https://scholar.google.com/citations?hl=en&user=kq0NYnMAAAAJ",
"author_id": "kq0NYnMAAAAJ",
"affiliations": "Chemistry Department Imperial College",
"email": "Verified email at imperial.ac.uk",
"cited_by": 227886,
"thumbnail": "https://scholar.google.com/citations/images/avatar_scholar_56.png",
"interests": [
{
"title": "Computational chemistry",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:computational_chemistry"
},
{
"title": "Theoretical Chemistry",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:theoretical_chemistry"
},
{
"title": "conical intersections",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:conical_intersections"
},
{
"title": "non adiabatic dynamics",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:non_adiabatic_dynamics"
}
]
},
{
"title": "Mike A. Nalls",
"link": "https://scholar.google.com/citations?hl=en&user=ZjfgPLMAAAAJ",
"author_id": "ZjfgPLMAAAAJ",
"affiliations": "Founder/consultant with Data Tecnica International + Data science lead at NIH's Center for …",
"email": "Verified email at mail.nih.gov",
"cited_by": 169495,
"thumbnail": "https://scholar.google.comhttps://scholar.googleusercontent.com/citations?view_op=small_photo&user=ZjfgPLMAAAAJ&citpid=14",
"interests": [
{
"title": "statistical genetics",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:statistical_genetics"
},
{
"title": "neurodegeneration",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:neurodegeneration"
},
{
"title": "data science",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:data_science"
},
{
"title": "biostatistics",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:biostatistics"
},
{
"title": "genomics",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:genomics"
}
]
},
{
"title": "mike wright",
"link": "https://scholar.google.com/citations?hl=en&user=RIg9DVEAAAAJ",
"author_id": "RIg9DVEAAAAJ",
"affiliations": "imperial college",
"email": "Verified email at imperial.ac.uk",
"cited_by": 126920,
"thumbnail": "https://scholar.google.comhttps://scholar.googleusercontent.com/citations?view_op=small_photo&user=RIg9DVEAAAAJ&citpid=2",
"interests": [
{
"title": "entrepreneurship",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:entrepreneurship"
}
]
},
{
"title": "Mike Lean (MEJ Lean)",
"link": "https://scholar.google.com/citations?hl=en&user=R8PPdbQAAAAJ",
"author_id": "R8PPdbQAAAAJ",
"affiliations": "Professor of Human Nutrition, University of Glasgow",
"email": "Verified email at glasgow.ac.uk",
"cited_by": 96371,
"thumbnail": "https://scholar.google.comhttps://scholar.googleusercontent.com/citations?view_op=small_photo&user=R8PPdbQAAAAJ&citpid=3",
"interests": [
{
"title": "Food",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:food"
},
{
"title": "Nutrition",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:nutrition"
},
{
"title": "Obesity",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:obesity"
},
{
"title": "Diabetes",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:diabetes"
},
{
"title": "CHD",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:chd"
}
]
},
{
"title": "Mike Schuster",
"link": "https://scholar.google.com/citations?hl=en&user=L9lS9_AAAAAJ",
"author_id": "L9lS9_AAAAAJ",
"affiliations": "Two Sigma",
"email": "Verified email at twosigma.com",
"cited_by": 91709,
"thumbnail": "https://scholar.google.comhttps://scholar.googleusercontent.com/citations?view_op=small_photo&user=L9lS9_AAAAAJ&citpid=1",
"interests": [
{
"title": "machine learning",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:machine_learning"
},
{
"title": "neural networks",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:neural_networks"
},
{
"title": "deep learning",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:deep_learning"
},
{
"title": "reinforcement learning",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:reinforcement_learning"
}
]
},
{
"title": "prof dr ir Mike SM Jetten",
"link": "https://scholar.google.com/citations?hl=en&user=iXjCKTgAAAAJ",
"author_id": "iXjCKTgAAAAJ",
"affiliations": "Radboud University, Microbiology, Nijmegen, Netherlands",
"email": "Verified email at science.ru.nl",
"cited_by": 85892,
"thumbnail": "https://scholar.google.comhttps://scholar.googleusercontent.com/citations?view_op=small_photo&user=iXjCKTgAAAAJ&citpid=3",
"interests": [
{
"title": "anaerobic microbiology",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:anaerobic_microbiology"
},
{
"title": "nitrogen cycle",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:nitrogen_cycle"
},
{
"title": "methane archaea",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:methane_archaea"
},
{
"title": "anammox",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:anammox"
}
]
},
{
"title": "Mike Wingfield",
"link": "https://scholar.google.com/citations?hl=en&user=wT4V7isAAAAJ",
"author_id": "wT4V7isAAAAJ",
"affiliations": "Professor, Forestry and Agricultural Biotechnology Institute (FABI), University of Pretoria",
"email": "Verified email at fabi.up.ac.za",
"cited_by": 78937,
"thumbnail": "https://scholar.google.comhttps://scholar.googleusercontent.com/citations?view_op=small_photo&user=wT4V7isAAAAJ&citpid=5",
"interests": [
{
"title": "forest protection",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:forest_protection"
},
{
"title": "mycology",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:mycology"
},
{
"title": "entomology",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:entomology"
},
{
"title": "biotechnology",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:biotechnology"
}
]
},
{
"title": "Mike W. Peng",
"link": "https://scholar.google.com/citations?hl=en&user=z1Kz8gQAAAAJ",
"author_id": "z1Kz8gQAAAAJ",
"affiliations": "Jindal Chair of Global Strategy, University of Texas at Dallas",
"email": "Verified email at utdallas.edu",
"cited_by": 65810,
"thumbnail": "https://scholar.google.comhttps://scholar.googleusercontent.com/citations?view_op=small_photo&user=z1Kz8gQAAAAJ&citpid=2",
"interests": [
{
"title": "International Business",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:international_business"
},
{
"title": "Global Strategy",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:global_strategy"
},
{
"title": "Strategic Management",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:strategic_management"
}
]
},
{
"title": "Mike Tyers",
"link": "https://scholar.google.com/citations?hl=en&user=9zEuqoIAAAAJ",
"author_id": "9zEuqoIAAAAJ",
"affiliations": "The Hospital for Sick Children",
"email": "Verified email at sickkids.ca",
"cited_by": 60956,
"thumbnail": "https://scholar.google.com/citations/images/avatar_scholar_56.png",
"interests": [
{
"title": "cell growth and division",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:cell_growth_and_division"
},
{
"title": "systems and synthetic biology",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:systems_and_synthetic_biology"
},
{
"title": "chemical biology",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:chemical_biology"
},
{
"title": "ubiquitin-proteasome system",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:ubiquitin_proteasome_system"
},
{
"title": "infectious disease",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:infectious_disease"
}
]
},
{
"title": "Mike Lewis",
"link": "https://scholar.google.com/citations?hl=en&user=SnQnQicAAAAJ",
"author_id": "SnQnQicAAAAJ",
"affiliations": "Facebook AI Research",
"email": "Verified email at fb.com",
"cited_by": 60167,
"thumbnail": "https://scholar.google.com/citations/images/avatar_scholar_56.png",
"interests": [
{
"title": "Natural language processing",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:natural_language_processing"
},
{
"title": "machine learning",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:machine_learning"
},
{
"title": "linguistics",
"link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:linguistics"
}
]
}
],
"pagination": {
"next_page_token": null,
"previous_page_token": null
}
},
"requestId": "b6ed93a4-7bd1-4f3e-8b3e-de66defce95c",
"timestamp": 1771923773300
}